import request from '@/utils/request'

// 查询设备管理列表
export function listSpeedingEquipmentManagement(query) {
  return request({
    url: '/system/SpeedingEquipmentManagement/list',
    method: 'get',
    params: query
  })
}

// 查询设备管理详细
export function getSpeedingEquipmentManagement(id) {
  return request({
    url: '/system/SpeedingEquipmentManagement/' + id,
    method: 'get'
  })
}

// 新增设备管理
export function addSpeedingEquipmentManagement(data) {
  return request({
    url: '/system/SpeedingEquipmentManagement',
    method: 'post',
    data: data
  })
}

// 修改设备管理
export function updateSpeedingEquipmentManagement(data) {
  return request({
    url: '/system/SpeedingEquipmentManagement',
    method: 'put',
    data: data
  })
}

// 删除设备管理
export function delSpeedingEquipmentManagement(id) {
  return request({
    url: '/system/SpeedingEquipmentManagement/' + id,
    method: 'delete'
  })
}
